### Navigation

- next
- previous |
- S3QL v1.9 documentation »
- Manpages »

# The pcp command

## Synopsis

    pcp [options] <source> [<source> ...] <destination>

## Description

The pcp command is a is a wrapper that starts several sync processes to copy directory trees in parallel. This is allows much better copying performance on file system that have relatively high latency when retrieving individual files like S3QL.

Note: Using this program only improves performance when copying from an S3QL file system. When copying to an S3QL file system, using pcp is more likely to decrease performance.

## Options

The pcp command accepts the following options:

> `--quiet` | be really quiet
> `--debug` | activate debugging output
> `--version` | just print program version and exit
> `-a` | Pass -aHAX option to rsync.
> `--processes <no>`
> | Number of rsync processes to use (default: 10).

## Exit Status

pcp returns exit code 0 if the operation succeeded and 1 if some error occured.

## See Also

pcp is shipped as part of S3QL, http://code.google.com/p/s3ql/.

### Navigation

- next
- previous |
- S3QL v1.9 documentation »
- Manpages »